dropbearkey(1)

NAME
dropbearkey - create private keys for the use with dropbear(8) or dbclient(1)

SYNOPSIS
dropbearkey -t type -f file [-s bits]

DESCRIPTION
dropbearkey generates a RSA DSS, or ECDSA format SSH private key, and saves it to a file for the use with the Dropbear client or server. Note that some SSH implementations use the term "DSA" rather than "DSS", they mean the same thing.

OPTIONS

-t type
    Type of key to generate. Must be one of rsa ecdsa or dss.

-f file
    Write the secret key to the file file.

-s bits
    Set the key size to bits bits, should be multiple of 8 (optional).

NOTES
The program dropbearconvert(1) can be used to convert between Dropbear and OpenSSH key formats.

Dropbear does not support encrypted keys.

EXAMPLE
 # dropbearkey -t rsa -f /etc/dropbear/dropbear_rsa_host_key

AUTHOR
Matt Johnston (matt@ucc.asn.au).
Gerrit Pape (pape@smarden.org) wrote this manual page.

SEE ALSO
dropbear(8), dbclient(1), dropbearconvert(1)

https://matt.ucc.asn.au/dropbear/dropbear.html